jm.constants

## Interface ProgramChanges

- All Known Subinterfaces:
    Instruments, JMC
  All Known Implementing Classes:
    Add, ADSR, AllFGTR, AllPass, Audio, AudioObject, AudioSampleInst, BassStave, Comb, Compressor, CPhrase, Delay, Envelope, FFT, FGTR, Filter, Grain2, GrandStave, Granulator, HelperGUI, Histogram, HistogramFrame, Instrument, InverseFFT, Invert, JGrandStave, JStaveActionHandler, MidiParser, MidiSynth, MidiUtil, Mod, Multiply, Noise, Notate, NoteBuffer, NoteBufferReversed, Oscillator, Part, Phrase, PhraseMatrix, PianoStave, Play, Pluck, PrintOut, Read, ReSample, RTIn, RTPhrase, SampleIn, SampleOut, Score, SketchScoreArea, SMF, Smooth, Splitter, Spring, Stave, StaveActionHandler, StereoPan, TapDelay, TextIn, TrebleStave, Value, View, Volume, WaveFileReader, Wavelet, Waveshaper, WaveTable, Window, Write

      public interface ProgramChanges

  An interface storing program change constants.
  See Also:
    `Note`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AAH`
    `static int` | `ABASS`
    `static int` | `AC_GUITAR`
    `static int` | `ACCORDION`
    `static int` | `ACOUSTIC_BASS`
    `static int` | `ACOUSTIC_GRAND`
    `static int` | `ACOUSTIC_GUITAR`
    `static int` | `AGOGO`
    `static int` | `AHHS`
    `static int` | `ALTO`
    `static int` | `ALTO_SAX`
    `static int` | `ALTO_SAXOPHONE`
    `static int` | `APPLAUSE`
    `static int` | `ATMOSPHERE`
    `static int` | `BAG_PIPES`
    `static int` | `BAGPIPE`
    `static int` | `BAGPIPES`
    `static int` | `BANDNEON`
    `static int` | `BANJO`
    `static int` | `BARI`
    `static int` | `BARI_SAX`
    `static int` | `BARITONE`
    `static int` | `BARITONE_SAX`
    `static int` | `BARITONE_SAXOPHONE`
    `static int` | `BASS`
    `static int` | `BASSOON`
    `static int` | `BELL`
    `static int` | `BELLS`
    `static int` | `BIRD`
    `static int` | `BOTTLE`
    `static int` | `BOTTLE_BLOW`
    `static int` | `BOWED_GLASS`
    `static int` | `BRASS`
    `static int` | `BREATH`
    `static int` | `BREATHNOISE`
    `static int` | `BRIGHT_ACOUSTIC`
    `static int` | `BRIGHTNESS`
    `static int` | `CALLOPE`
    `static int` | `CELESTA`
    `static int` | `CELESTE`
    `static int` | `CELLO`
    `static int` | `CGUITAR`
    `static int` | `CHARANG`
    `static int` | `CHIFFER`
    `static int` | `CHIFFER_LEAD`
    `static int` | `CHOIR`
    `static int` | `CHURCH_ORGAN`
    `static int` | `CLAR`
    `static int` | `CLARINET`
    `static int` | `CLAV`
    `static int` | `CLAVINET`
    `static int` | `CLEAN_GUITAR`
    `static int` | `CONCERTINA`
    `static int` | `CONTRA_BASS`
    `static int` | `CONTRABASS`
    `static int` | `CRYSTAL`
    `static int` | `CYMBAL`
    `static int` | `DGUITAR`
    `static int` | `DIST_GUITAR`
    `static int` | `DISTORTED_GUITAR`
    `static int` | `DOUBLE_BASS`
    `static int` | `DROPS`
    `static int` | `DRUM`
    `static int` | `DX_EPIANO`
    `static int` | `EBASS`
    `static int` | `ECHO`
    `static int` | `ECHO_DROP`
    `static int` | `ECHO_DROPS`
    `static int` | `ECHOS`
    `static int` | `EL_BASS`
    `static int` | `EL_GUITAR`
    `static int` | `ELECTRIC_BASS`
    `static int` | `ELECTRIC_GRAND`
    `static int` | `ELECTRIC_GUITAR`
    `static int` | `ELECTRIC_ORGAN`
    `static int` | `ELECTRIC_PIANO`
    `static int` | `ELPIANO`
    `static int` | `ENGLISH_HORN`
    `static int` | `EPIANO`
    `static int` | `EPIANO2`
    `static int` | `FANTASIA`
    `static int` | `FBASS`
    `static int` | `FIDDLE`
    `static int` | `FINGERED_BASS`
    `static int` | `FLUTE`
    `static int` | `FRENCH_HORN`
    `static int` | `FRET`
    `static int` | `FRET_NOISE`
    `static int` | `FRETLESS`
    `static int` | `FRETLESS_BASS`
    `static int` | `FRETNOISE`
    `static int` | `FRETS`
    `static int` | `GLOCK`
    `static int` | `GLOCKENSPIEL`
    `static int` | `GMSAW_WAVE`
    `static int` | `GMSQUARE_WAVE`
    `static int` | `GOBLIN`
    `static int` | `GT_HARMONICS`
    `static int` | `GUITAR`
    `static int` | `GUITAR_HARMONICS`
    `static int` | `GUNSHOT`
    `static int` | `HALO`
    `static int` | `HALO_PAD`
    `static int` | `HAMMOND_ORGAN`
    `static int` | `HARMONICA`
    `static int` | `HARMONICS`
    `static int` | `HARP`
    `static int` | `HARPSICHORD`
    `static int` | `HELICOPTER`
    `static int` | `HONKYTONK`
    `static int` | `HONKYTONK_PIANO`
    `static int` | `HORN`
    `static int` | `ICE_RAIN`
    `static int` | `ICERAIN`
    `static int` | `JAZZ_GUITAR`
    `static int` | `JAZZ_ORGAN`
    `static int` | `JGUITAR`
    `static int` | `KALIMBA`
    `static int` | `KOTO`
    `static int` | `MARIMBA`
    `static int` | `METAL_PAD`
    `static int` | `MGUITAR`
    `static int` | `MUSIC_BOX`
    `static int` | `MUTED_GUITAR`
    `static int` | `MUTED_TRUMPET`
    `static int` | `NGUITAR`
    `static int` | `NYLON_GUITAR`
    `static int` | `OBOE`
    `static int` | `OCARINA`
    `static int` | `OGUITAR`
    `static int` | `OOH`
    `static int` | `OOHS`
    `static int` | `ORCHESTRA_HIT`
    `static int` | `ORGAN`
    `static int` | `ORGAN2`
    `static int` | `ORGAN3`
    `static int` | `OVERDRIVE_GUITAR`
    `static int` | `PAD`
    `static int` | `PAN_FLUTE`
    `static int` | `PANFLUTE`
    `static int` | `PBASS`
    `static int` | `PHONE`
    `static int` | `PIANO`
    `static int` | `PIANO_ACCORDION`
    `static int` | `PIC`
    `static int` | `PICC`
    `static int` | `PICCOLO`
    `static int` | `PICKED_BASS`
    `static int` | `PIPE_ORGAN`
    `static int` | `PIPES`
    `static int` | `PITZ`
    `static int` | `PIZZ`
    `static int` | `PIZZICATO_STRINGS`
    `static int` | `POLY_SYNTH`
    `static int` | `POLYSYNTH`
    `static int` | `PSTRINGS`
    `static int` | `RAIN`
    `static int` | `RECORDER`
    `static int` | `REED_ORGAN`
    `static int` | `REVERSE_CYMBAL`
    `static int` | `RHODES`
    `static int` | `SAW`
    `static int` | `SAWTOOTH`
    `static int` | `SAX`
    `static int` | `SAXOPHONE`
    `static int` | `SBASS`
    `static int` | `SEA`
    `static int` | `SEASHORE`
    `static int` | `SFX`
    `static int` | `SGUITAR`
    `static int` | `SHAKUHACHI`
    `static int` | `SHAMISEN`
    `static int` | `SHANNAI`
    `static int` | `SITAR`
    `static int` | `SLAP`
    `static int` | `SLAP_BASS`
    `static int` | `SLAP_BASS_1`
    `static int` | `SLAP_BASS_2`
    `static int` | `SLOW_STRINGS`
    `static int` | `SOLO_VOX`
    `static int` | `SOP`
    `static int` | `SOPRANO`
    `static int` | `SOPRANO_SAX`
    `static int` | `SOPRANO_SAXOPHONE`
    `static int` | `SOUNDEFFECTS`
    `static int` | `SOUNDFX`
    `static int` | `SOUNDTRACK`
    `static int` | `SPACE_VOICE`
    `static int` | `SQUARE`
    `static int` | `STAR_THEME`
    `static int` | `STEEL_DRUM`
    `static int` | `STEEL_DRUMS`
    `static int` | `STEEL_GUITAR`
    `static int` | `STEELDRUM`
    `static int` | `STEELDRUMS`
    `static int` | `STR`
    `static int` | `STREAM`
    `static int` | `STRING_ENSEMBLE_1`
    `static int` | `STRING_ENSEMBLE_2`
    `static int` | `STRINGS`
    `static int` | `SWEEP`
    `static int` | `SWEEP_PAD`
    `static int` | `SYN_CALLIOPE`
    `static int` | `SYNTH_BASS`
    `static int` | `SYNTH_BASS_1`
    `static int` | `SYNTH_BASS_2`
    `static int` | `SYNTH_BRASS`
    `static int` | `SYNTH_BRASS_1`
    `static int` | `SYNTH_BRASS_2`
    `static int` | `SYNTH_CALLIOPE`
    `static int` | `SYNTH_DRUM`
    `static int` | `SYNTH_DRUMS`
    `static int` | `SYNTH_STRINGS`
    `static int` | `SYNTH_STRINGS_1`
    `static int` | `SYNTH_STRINGS_2`
    `static int` | `SYNVOX`
    `static int` | `TAIKO`
    `static int` | `TELEPHONE`
    `static int` | `TENOR`
    `static int` | `TENOR_SAX`
    `static int` | `TENOR_SAXOPHONE`
    `static int` | `THUMB_PIANO`
    `static int` | `THUNDER`
    `static int` | `TIMP`
    `static int` | `TIMPANI`
    `static int` | `TINKLE_BELL`
    `static int` | `TOM`
    `static int` | `TOM_TOM`
    `static int` | `TOM_TOMS`
    `static int` | `TOMS`
    `static int` | `TREMOLO`
    `static int` | `TREMOLO_STRINGS`
    `static int` | `TROMBONE`
    `static int` | `TRUMPET`
    `static int` | `TUBA`
    `static int` | `TUBULAR_BELL`
    `static int` | `TUBULAR_BELLS`
    `static int` | `VIBES`
    `static int` | `VIBRAPHONE`
    `static int` | `VIOLA`
    `static int` | `VIOLIN`
    `static int` | `VIOLIN_CELLO`
    `static int` | `VOICE`
    `static int` | `VOX`
    `static int` | `WARM_PAD`
    `static int` | `WHISTLE`
    `static int` | `WIND`
    `static int` | `WOODBLOCK`
    `static int` | `WOODBLOCKS`
    `static int` | `XYLOPHONE`

- - ### Field Detail

    - #### PIANO

          static final int PIANO

      See Also:
        Constant Field Values

    - #### ACOUSTIC_GRAND

          static final int ACOUSTIC_GRAND

      See Also:
        Constant Field Values

    - #### BRIGHT_ACOUSTIC

          static final int BRIGHT_ACOUSTIC

      See Also:
        Constant Field Values

    - #### ELECTRIC_GRAND

          static final int ELECTRIC_GRAND

      See Also:
        Constant Field Values

    - #### HONKYTONK

          static final int HONKYTONK

      See Also:
        Constant Field Values

    - #### HONKYTONK_PIANO

          static final int HONKYTONK_PIANO

      See Also:
        Constant Field Values

    - #### EPIANO

          static final int EPIANO

      See Also:
        Constant Field Values

    - #### ELECTRIC_PIANO

          static final int ELECTRIC_PIANO

      See Also:
        Constant Field Values

    - #### ELPIANO

          static final int ELPIANO

      See Also:
        Constant Field Values

    - #### RHODES

          static final int RHODES

      See Also:
        Constant Field Values

    - #### EPIANO2

          static final int EPIANO2

      See Also:
        Constant Field Values

    - #### DX_EPIANO

          static final int DX_EPIANO

      See Also:
        Constant Field Values

    - #### HARPSICHORD

          static final int HARPSICHORD

      See Also:
        Constant Field Values

    - #### CLAV

          static final int CLAV

      See Also:
        Constant Field Values

    - #### CLAVINET

          static final int CLAVINET

      See Also:
        Constant Field Values

    - #### CELESTE

          static final int CELESTE

      See Also:
        Constant Field Values

    - #### CELESTA

          static final int CELESTA

      See Also:
        Constant Field Values

    - #### GLOCKENSPIEL

          static final int GLOCKENSPIEL

      See Also:
        Constant Field Values

    - #### GLOCK

          static final int GLOCK

      See Also:
        Constant Field Values

    - #### MUSIC_BOX

          static final int MUSIC_BOX

      See Also:
        Constant Field Values

    - #### VIBRAPHONE

          static final int VIBRAPHONE

      See Also:
        Constant Field Values

    - #### VIBES

          static final int VIBES

      See Also:
        Constant Field Values

    - #### MARIMBA

          static final int MARIMBA

      See Also:
        Constant Field Values

    - #### XYLOPHONE

          static final int XYLOPHONE

      See Also:
        Constant Field Values

    - #### TUBULAR_BELL

          static final int TUBULAR_BELL

      See Also:
        Constant Field Values

    - #### TUBULAR_BELLS

          static final int TUBULAR_BELLS

      See Also:
        Constant Field Values

    - #### ORGAN

          static final int ORGAN

      See Also:
        Constant Field Values

    - #### ELECTRIC_ORGAN

          static final int ELECTRIC_ORGAN

      See Also:
        Constant Field Values

    - #### ORGAN2

          static final int ORGAN2

      See Also:
        Constant Field Values

    - #### JAZZ_ORGAN

          static final int JAZZ_ORGAN

      See Also:
        Constant Field Values

    - #### ORGAN3

          static final int ORGAN3

      See Also:
        Constant Field Values

    - #### HAMMOND_ORGAN

          static final int HAMMOND_ORGAN

      See Also:
        Constant Field Values

    - #### CHURCH_ORGAN

          static final int CHURCH_ORGAN

      See Also:
        Constant Field Values

    - #### PIPE_ORGAN

          static final int PIPE_ORGAN

      See Also:
        Constant Field Values

    - #### REED_ORGAN

          static final int REED_ORGAN

      See Also:
        Constant Field Values

    - #### ACCORDION

          static final int ACCORDION

      See Also:
        Constant Field Values

    - #### PIANO_ACCORDION

          static final int PIANO_ACCORDION

      See Also:
        Constant Field Values

    - #### CONCERTINA

          static final int CONCERTINA

      See Also:
        Constant Field Values

    - #### HARMONICA

          static final int HARMONICA

      See Also:
        Constant Field Values

    - #### BANDNEON

          static final int BANDNEON

      See Also:
        Constant Field Values

    - #### NYLON_GUITAR

          static final int NYLON_GUITAR

      See Also:
        Constant Field Values

    - #### NGUITAR

          static final int NGUITAR

      See Also:
        Constant Field Values

    - #### GUITAR

          static final int GUITAR

      See Also:
        Constant Field Values

    - #### ACOUSTIC_GUITAR

          static final int ACOUSTIC_GUITAR

      See Also:
        Constant Field Values

    - #### AC_GUITAR

          static final int AC_GUITAR

      See Also:
        Constant Field Values

    - #### STEEL_GUITAR

          static final int STEEL_GUITAR

      See Also:
        Constant Field Values

    - #### SGUITAR

          static final int SGUITAR

      See Also:
        Constant Field Values

    - #### JAZZ_GUITAR

          static final int JAZZ_GUITAR

      See Also:
        Constant Field Values

    - #### JGUITAR

          static final int JGUITAR

      See Also:
        Constant Field Values

    - #### CLEAN_GUITAR

          static final int CLEAN_GUITAR

      See Also:
        Constant Field Values

    - #### CGUITAR

          static final int CGUITAR

      See Also:
        Constant Field Values

    - #### ELECTRIC_GUITAR

          static final int ELECTRIC_GUITAR

      See Also:
        Constant Field Values

    - #### EL_GUITAR

          static final int EL_GUITAR

      See Also:
        Constant Field Values

    - #### MUTED_GUITAR

          static final int MUTED_GUITAR

      See Also:
        Constant Field Values

    - #### MGUITAR

          static final int MGUITAR

      See Also:
        Constant Field Values

    - #### OVERDRIVE_GUITAR

          static final int OVERDRIVE_GUITAR

      See Also:
        Constant Field Values

    - #### OGUITAR

          static final int OGUITAR

      See Also:
        Constant Field Values

    - #### DISTORTED_GUITAR

          static final int DISTORTED_GUITAR

      See Also:
        Constant Field Values

    - #### DGUITAR

          static final int DGUITAR

      See Also:
        Constant Field Values

    - #### DIST_GUITAR

          static final int DIST_GUITAR

      See Also:
        Constant Field Values

    - #### GUITAR_HARMONICS

          static final int GUITAR_HARMONICS

      See Also:
        Constant Field Values

    - #### GT_HARMONICS

          static final int GT_HARMONICS

      See Also:
        Constant Field Values

    - #### HARMONICS

          static final int HARMONICS

      See Also:
        Constant Field Values

    - #### ACOUSTIC_BASS

          static final int ACOUSTIC_BASS

      See Also:
        Constant Field Values

    - #### ABASS

          static final int ABASS

      See Also:
        Constant Field Values

    - #### FINGERED_BASS

          static final int FINGERED_BASS

      See Also:
        Constant Field Values

    - #### BASS

          static final int BASS

      See Also:
        Constant Field Values

    - #### FBASS

          static final int FBASS

      See Also:
        Constant Field Values

    - #### ELECTRIC_BASS

          static final int ELECTRIC_BASS

      See Also:
        Constant Field Values

    - #### EL_BASS

          static final int EL_BASS

      See Also:
        Constant Field Values

    - #### EBASS

          static final int EBASS

      See Also:
        Constant Field Values

    - #### PICKED_BASS

          static final int PICKED_BASS

      See Also:
        Constant Field Values

    - #### PBASS

          static final int PBASS

      See Also:
        Constant Field Values

    - #### FRETLESS_BASS

          static final int FRETLESS_BASS

      See Also:
        Constant Field Values

    - #### FRETLESS

          static final int FRETLESS

      See Also:
        Constant Field Values

    - #### SLAP_BASS

          static final int SLAP_BASS

      See Also:
        Constant Field Values

    - #### SBASS

          static final int SBASS

      See Also:
        Constant Field Values

    - #### SLAP

          static final int SLAP

      See Also:
        Constant Field Values

    - #### SLAP_BASS_1

          static final int SLAP_BASS_1

      See Also:
        Constant Field Values

    - #### SLAP_BASS_2

          static final int SLAP_BASS_2

      See Also:
        Constant Field Values

    - #### SYNTH_BASS

          static final int SYNTH_BASS

      See Also:
        Constant Field Values

    - #### SYNTH_BASS_1

          static final int SYNTH_BASS_1

      See Also:
        Constant Field Values

    - #### SYNTH_BASS_2

          static final int SYNTH_BASS_2

      See Also:
        Constant Field Values

    - #### VIOLIN

          static final int VIOLIN

      See Also:
        Constant Field Values

    - #### VIOLA

          static final int VIOLA

      See Also:
        Constant Field Values

    - #### CELLO

          static final int CELLO

      See Also:
        Constant Field Values

    - #### VIOLIN_CELLO

          static final int VIOLIN_CELLO

      See Also:
        Constant Field Values

    - #### CONTRABASS

          static final int CONTRABASS

      See Also:
        Constant Field Values

    - #### CONTRA_BASS

          static final int CONTRA_BASS

      See Also:
        Constant Field Values

    - #### DOUBLE_BASS

          static final int DOUBLE_BASS

      See Also:
        Constant Field Values

    - #### TREMOLO_STRINGS

          static final int TREMOLO_STRINGS

      See Also:
        Constant Field Values

    - #### TREMOLO

          static final int TREMOLO

      See Also:
        Constant Field Values

    - #### PIZZICATO_STRINGS

          static final int PIZZICATO_STRINGS

      See Also:
        Constant Field Values

    - #### PIZZ

          static final int PIZZ

      See Also:
        Constant Field Values

    - #### PITZ

          static final int PITZ

      See Also:
        Constant Field Values

    - #### PSTRINGS

          static final int PSTRINGS

      See Also:
        Constant Field Values

    - #### HARP

          static final int HARP

      See Also:
        Constant Field Values

    - #### TIMPANI

          static final int TIMPANI

      See Also:
        Constant Field Values

    - #### TIMP

          static final int TIMP

      See Also:
        Constant Field Values

    - #### STRINGS

          static final int STRINGS

      See Also:
        Constant Field Values

    - #### STR

          static final int STR

      See Also:
        Constant Field Values

    - #### STRING_ENSEMBLE_1

          static final int STRING_ENSEMBLE_1

      See Also:
        Constant Field Values

    - #### STRING_ENSEMBLE_2

          static final int STRING_ENSEMBLE_2

      See Also:
        Constant Field Values

    - #### SYNTH_STRINGS

          static final int SYNTH_STRINGS

      See Also:
        Constant Field Values

    - #### SYNTH_STRINGS_1

          static final int SYNTH_STRINGS_1

      See Also:
        Constant Field Values

    - #### SLOW_STRINGS

          static final int SLOW_STRINGS

      See Also:
        Constant Field Values

    - #### SYNTH_STRINGS_2

          static final int SYNTH_STRINGS_2

      See Also:
        Constant Field Values

    - #### AAH

          static final int AAH

      See Also:
        Constant Field Values

    - #### AHHS

          static final int AHHS

      See Also:
        Constant Field Values

    - #### CHOIR

          static final int CHOIR

      See Also:
        Constant Field Values

    - #### OOH

          static final int OOH

      See Also:
        Constant Field Values

    - #### OOHS

          static final int OOHS

      See Also:
        Constant Field Values

    - #### VOICE

          static final int VOICE

      See Also:
        Constant Field Values

    - #### SYNVOX

          static final int SYNVOX

      See Also:
        Constant Field Values

    - #### VOX

          static final int VOX

      See Also:
        Constant Field Values

    - #### ORCHESTRA_HIT

          static final int ORCHESTRA_HIT

      See Also:
        Constant Field Values

    - #### TRUMPET

          static final int TRUMPET

      See Also:
        Constant Field Values

    - #### TROMBONE

          static final int TROMBONE

      See Also:
        Constant Field Values

    - #### TUBA

          static final int TUBA

      See Also:
        Constant Field Values

    - #### MUTED_TRUMPET

          static final int MUTED_TRUMPET

      See Also:
        Constant Field Values

    - #### FRENCH_HORN

          static final int FRENCH_HORN

      See Also:
        Constant Field Values

    - #### HORN

          static final int HORN

      See Also:
        Constant Field Values

    - #### BRASS

          static final int BRASS

      See Also:
        Constant Field Values

    - #### SYNTH_BRASS

          static final int SYNTH_BRASS

      See Also:
        Constant Field Values

    - #### SYNTH_BRASS_1

          static final int SYNTH_BRASS_1

      See Also:
        Constant Field Values

    - #### SYNTH_BRASS_2

          static final int SYNTH_BRASS_2

      See Also:
        Constant Field Values

    - #### SOPRANO_SAX

          static final int SOPRANO_SAX

      See Also:
        Constant Field Values

    - #### SOPRANO

          static final int SOPRANO

      See Also:
        Constant Field Values

    - #### SOPRANO_SAXOPHONE

          static final int SOPRANO_SAXOPHONE

      See Also:
        Constant Field Values

    - #### SOP

          static final int SOP

      See Also:
        Constant Field Values

    - #### ALTO_SAX

          static final int ALTO_SAX

      See Also:
        Constant Field Values

    - #### ALTO

          static final int ALTO

      See Also:
        Constant Field Values

    - #### ALTO_SAXOPHONE

          static final int ALTO_SAXOPHONE

      See Also:
        Constant Field Values

    - #### TENOR_SAX

          static final int TENOR_SAX

      See Also:
        Constant Field Values

    - #### TENOR

          static final int TENOR

      See Also:
        Constant Field Values

    - #### TENOR_SAXOPHONE

          static final int TENOR_SAXOPHONE

      See Also:
        Constant Field Values

    - #### SAX

          static final int SAX

      See Also:
        Constant Field Values

    - #### SAXOPHONE

          static final int SAXOPHONE

      See Also:
        Constant Field Values

    - #### BARITONE_SAX

          static final int BARITONE_SAX

      See Also:
        Constant Field Values

    - #### BARI

          static final int BARI

      See Also:
        Constant Field Values

    - #### BARI_SAX

          static final int BARI_SAX

      See Also:
        Constant Field Values

    - #### BARITONE

          static final int BARITONE

      See Also:
        Constant Field Values

    - #### BARITONE_SAXOPHONE

          static final int BARITONE_SAXOPHONE

      See Also:
        Constant Field Values

    - #### OBOE

          static final int OBOE

      See Also:
        Constant Field Values

    - #### ENGLISH_HORN

          static final int ENGLISH_HORN

      See Also:
        Constant Field Values

    - #### BASSOON

          static final int BASSOON

      See Also:
        Constant Field Values

    - #### CLARINET

          static final int CLARINET

      See Also:
        Constant Field Values

    - #### CLAR

          static final int CLAR

      See Also:
        Constant Field Values

    - #### PICCOLO

          static final int PICCOLO

      See Also:
        Constant Field Values

    - #### PIC

          static final int PIC

      See Also:
        Constant Field Values

    - #### PICC

          static final int PICC

      See Also:
        Constant Field Values

    - #### FLUTE

          static final int FLUTE

      See Also:
        Constant Field Values

    - #### RECORDER

          static final int RECORDER

      See Also:
        Constant Field Values

    - #### PAN_FLUTE

          static final int PAN_FLUTE

      See Also:
        Constant Field Values

    - #### PANFLUTE

          static final int PANFLUTE

      See Also:
        Constant Field Values

    - #### BOTTLE_BLOW

          static final int BOTTLE_BLOW

      See Also:
        Constant Field Values

    - #### BOTTLE

          static final int BOTTLE

      See Also:
        Constant Field Values

    - #### SHAKUHACHI

          static final int SHAKUHACHI

      See Also:
        Constant Field Values

    - #### WHISTLE

          static final int WHISTLE

      See Also:
        Constant Field Values

    - #### OCARINA

          static final int OCARINA

      See Also:
        Constant Field Values

    - #### GMSQUARE_WAVE

          static final int GMSQUARE_WAVE

      See Also:
        Constant Field Values

    - #### SQUARE

          static final int SQUARE

      See Also:
        Constant Field Values

    - #### GMSAW_WAVE

          static final int GMSAW_WAVE

      See Also:
        Constant Field Values

    - #### SAW

          static final int SAW

      See Also:
        Constant Field Values

    - #### SAWTOOTH

          static final int SAWTOOTH

      See Also:
        Constant Field Values

    - #### SYNTH_CALLIOPE

          static final int SYNTH_CALLIOPE

      See Also:
        Constant Field Values

    - #### CALLOPE

          static final int CALLOPE

      See Also:
        Constant Field Values

    - #### SYN_CALLIOPE

          static final int SYN_CALLIOPE

      See Also:
        Constant Field Values

    - #### CHIFFER_LEAD

          static final int CHIFFER_LEAD

      See Also:
        Constant Field Values

    - #### CHIFFER

          static final int CHIFFER

      See Also:
        Constant Field Values

    - #### CHARANG

          static final int CHARANG

      See Also:
        Constant Field Values

    - #### SOLO_VOX

          static final int SOLO_VOX

      See Also:
        Constant Field Values

    - #### FANTASIA

          static final int FANTASIA

      See Also:
        Constant Field Values

    - #### WARM_PAD

          static final int WARM_PAD

      See Also:
        Constant Field Values

    - #### PAD

          static final int PAD

      See Also:
        Constant Field Values

    - #### POLYSYNTH

          static final int POLYSYNTH

      See Also:
        Constant Field Values

    - #### POLY_SYNTH

          static final int POLY_SYNTH

      See Also:
        Constant Field Values

    - #### SPACE_VOICE

          static final int SPACE_VOICE

      See Also:
        Constant Field Values

    - #### BOWED_GLASS

          static final int BOWED_GLASS

      See Also:
        Constant Field Values

    - #### METAL_PAD

          static final int METAL_PAD

      See Also:
        Constant Field Values

    - #### HALO_PAD

          static final int HALO_PAD

      See Also:
        Constant Field Values

    - #### HALO

          static final int HALO

      See Also:
        Constant Field Values

    - #### SWEEP_PAD

          static final int SWEEP_PAD

      See Also:
        Constant Field Values

    - #### SWEEP

          static final int SWEEP

      See Also:
        Constant Field Values

    - #### ICE_RAIN

          static final int ICE_RAIN

      See Also:
        Constant Field Values

    - #### ICERAIN

          static final int ICERAIN

      See Also:
        Constant Field Values

    - #### SOUNDTRACK

          static final int SOUNDTRACK

      See Also:
        Constant Field Values

    - #### CRYSTAL

          static final int CRYSTAL

      See Also:
        Constant Field Values

    - #### ATMOSPHERE

          static final int ATMOSPHERE

      See Also:
        Constant Field Values

    - #### BRIGHTNESS

          static final int BRIGHTNESS

      See Also:
        Constant Field Values

    - #### GOBLIN

          static final int GOBLIN

      See Also:
        Constant Field Values

    - #### ECHO_DROPS

          static final int ECHO_DROPS

      See Also:
        Constant Field Values

    - #### DROPS

          static final int DROPS

      See Also:
        Constant Field Values

    - #### ECHOS

          static final int ECHOS

      See Also:
        Constant Field Values

    - #### ECHO

          static final int ECHO

      See Also:
        Constant Field Values

    - #### ECHO_DROP

          static final int ECHO_DROP

      See Also:
        Constant Field Values

    - #### STAR_THEME

          static final int STAR_THEME

      See Also:
        Constant Field Values

    - #### SITAR

          static final int SITAR

      See Also:
        Constant Field Values

    - #### BANJO

          static final int BANJO

      See Also:
        Constant Field Values

    - #### SHAMISEN

          static final int SHAMISEN

      See Also:
        Constant Field Values

    - #### KOTO

          static final int KOTO

      See Also:
        Constant Field Values

    - #### KALIMBA

          static final int KALIMBA

      See Also:
        Constant Field Values

    - #### THUMB_PIANO

          static final int THUMB_PIANO

      See Also:
        Constant Field Values

    - #### BAGPIPES

          static final int BAGPIPES

      See Also:
        Constant Field Values

    - #### BAG_PIPES

          static final int BAG_PIPES

      See Also:
        Constant Field Values

    - #### BAGPIPE

          static final int BAGPIPE

      See Also:
        Constant Field Values

    - #### PIPES

          static final int PIPES

      See Also:
        Constant Field Values

    - #### FIDDLE

          static final int FIDDLE

      See Also:
        Constant Field Values

    - #### SHANNAI

          static final int SHANNAI

      See Also:
        Constant Field Values

    - #### TINKLE_BELL

          static final int TINKLE_BELL

      See Also:
        Constant Field Values

    - #### BELL

          static final int BELL

      See Also:
        Constant Field Values

    - #### BELLS

          static final int BELLS

      See Also:
        Constant Field Values

    - #### AGOGO

          static final int AGOGO

      See Also:
        Constant Field Values

    - #### STEEL_DRUMS

          static final int STEEL_DRUMS

      See Also:
        Constant Field Values

    - #### STEELDRUMS

          static final int STEELDRUMS

      See Also:
        Constant Field Values

    - #### STEELDRUM

          static final int STEELDRUM

      See Also:
        Constant Field Values

    - #### STEEL_DRUM

          static final int STEEL_DRUM

      See Also:
        Constant Field Values

    - #### WOODBLOCK

          static final int WOODBLOCK

      See Also:
        Constant Field Values

    - #### WOODBLOCKS

          static final int WOODBLOCKS

      See Also:
        Constant Field Values

    - #### TAIKO

          static final int TAIKO

      See Also:
        Constant Field Values

    - #### DRUM

          static final int DRUM

      See Also:
        Constant Field Values

    - #### TOM

          static final int TOM

      See Also:
        Constant Field Values

    - #### TOMS

          static final int TOMS

      See Also:
        Constant Field Values

    - #### TOM_TOM

          static final int TOM_TOM

      See Also:
        Constant Field Values

    - #### TOM_TOMS

          static final int TOM_TOMS

      See Also:
        Constant Field Values

    - #### SYNTH_DRUM

          static final int SYNTH_DRUM

      See Also:
        Constant Field Values

    - #### SYNTH_DRUMS

          static final int SYNTH_DRUMS

      See Also:
        Constant Field Values

    - #### REVERSE_CYMBAL

          static final int REVERSE_CYMBAL

      See Also:
        Constant Field Values

    - #### CYMBAL

          static final int CYMBAL

      See Also:
        Constant Field Values

    - #### FRETNOISE

          static final int FRETNOISE

      See Also:
        Constant Field Values

    - #### FRET_NOISE

          static final int FRET_NOISE

      See Also:
        Constant Field Values

    - #### FRET

          static final int FRET

      See Also:
        Constant Field Values

    - #### FRETS

          static final int FRETS

      See Also:
        Constant Field Values

    - #### BREATHNOISE

          static final int BREATHNOISE

      See Also:
        Constant Field Values

    - #### BREATH

          static final int BREATH

      See Also:
        Constant Field Values

    - #### SEASHORE

          static final int SEASHORE

      See Also:
        Constant Field Values

    - #### SEA

          static final int SEA

      See Also:
        Constant Field Values

    - #### RAIN

          static final int RAIN

      See Also:
        Constant Field Values

    - #### THUNDER

          static final int THUNDER

      See Also:
        Constant Field Values

    - #### WIND

          static final int WIND

      See Also:
        Constant Field Values

    - #### STREAM

          static final int STREAM

      See Also:
        Constant Field Values

    - #### SFX

          static final int SFX

      See Also:
        Constant Field Values

    - #### SOUNDEFFECTS

          static final int SOUNDEFFECTS

      See Also:
        Constant Field Values

    - #### SOUNDFX

          static final int SOUNDFX

      See Also:
        Constant Field Values

    - #### BIRD

          static final int BIRD

      See Also:
        Constant Field Values

    - #### TELEPHONE

          static final int TELEPHONE

      See Also:
        Constant Field Values

    - #### PHONE

          static final int PHONE

      See Also:
        Constant Field Values

    - #### HELICOPTER

          static final int HELICOPTER

      See Also:
        Constant Field Values

    - #### APPLAUSE

          static final int APPLAUSE

      See Also:
        Constant Field Values

    - #### GUNSHOT

          static final int GUNSHOT

      See Also:
        Constant Field Values